# gempost
Gemlog manager for tilde.team

# Quick Start
Gempost manages a `posts.gmi` file and maintains it in a clean format
such that it shows your latest post, your five most recent posts, along with
an archive of all your posts, arranged from newest to oldest.

Doing all this manually would be very tedious.

If you are an existing user, please back up your **public_gemini/** directory and then
proceed with the given steps.

**STEP 1**  
With only your `index.gmi` file in **public_gemini/** directory, run the following to set everyting up:  
`gempost init`  

Note that `gempost init` won't work if you don't have gempost added to your path. For tildeverse members, you can just copy the executable to your **~/bin/** directory. Otherwise, you can just do `./gempost <args>` (in the directory where you have the gempost binary) instead of `gempost <args>`.  

**STEP 2**  
Skip this if you chose to initialize an `index.gmi` during `gempost init`.  

gempost doesn't touch your `index.gmi` file, so you will have to manually add a link to *posts.gmi*.  

To do that, just add the following line to your *index.gmi* file:  
`=> ./posts.gmi Posts`

**CONGRATULATIONS!**  
You are ready to use gempost. Please just use `gempost help` from now on to only get a list of commands.

# Notes
**I am not responsible if you mess up your gemlog using this program.** It works rather fine, and if you are comfortable, I invite you to try it out.  

Personally, I am happy with the set of features I currently have and will work out the bugs as I find them.  

*This software is provided without any guarantees. I may abandon it any time, things may break any moment, your posts might get messed up. Keeping backups of your blog directories is always advised.*

# To Do
- RSS/Atom feed generation (should be easy. I'll have to explore how these work as I don't have much experience with them.)
- Option to create separate archives from the main one. This is basically a long-term posts organization function. Say, at the end of the year 2022, you want to collect all your posts into a directory `2022/`, and link to it in your `posts.gmi`. This will do exactly that. (should be easy. I'll have to just detect the directories in the `posts/` directory and link to their `index.gmi`s whenever the rebuildReferences() function generates it.)

# Reporting Bugs/Sending Feedback
I (try to) log in daily on the tildeverse IRC. You can send a private message to me at `desertmouse` there.
